
def create_random_cube(color, size):
    from direct.showbase.ShowBase import ShowBase
    from panda3d.core import PandaNode, Material, Vec4
    from panda3d.core import loadModel

    class RandomCubeApp(ShowBase):
        def __init__(self):
            ShowBase.__init__(self)

            # Load the cube model
            self.cube = loadModel("models/cube.egg")

            # Set the color of the cube
            self.material = Material()
            self.material.setShaderInput("color", Vec4(color))
            self.cube.setMaterial(self.material)

            # Scale the cube to the specified size
            self.cube.setScale(size)

            # Add the cube to the scene
            self.sceneNode.attachChild(self.cube)

    app = RandomCubeApp()
    app.run()



